ECFHMQV< EC, COFACTOR_OPTION, HASH > Struct Template Reference

Fully Hashed Elliptic Curve Menezes-Qu-Vanstone. More...

`#include <eccrypto.h>`

## Public Types

typedef FHMQV_Domain< DL_GroupParameters_EC< EC >, COFACTOR_OPTION, HASH > | Domain

## Detailed Description

template<class EC, class COFACTOR_OPTION = typename DL_GroupParameters_EC<EC>::DefaultCofactorOption, class HASH = SHA256>
struct ECFHMQV< EC, COFACTOR_OPTION, HASH >

Fully Hashed Elliptic Curve Menezes-Qu-Vanstone.

Template Parameters

  EC | elliptic curve field
  COFACTOR_OPTION | cofactor multiplication option

This implementation follows Augustin P. Sarr and Philippe Elbaz–Vincent, and Jean–Claude Bajard's A Secure and Efficient Authenticated Diffie-Hellman Protocol. Note: this is FHMQV, Protocol 5, from page 11; and not FHMQV-C.

See also
  CofactorMultiplicationOption

Definition at line 307 of file eccrypto.h.

## Member Typedef Documentation

## Domain

template<class EC , class COFACTOR_OPTION = typename DL_GroupParameters_EC<EC>::DefaultCofactorOption, class HASH = SHA256>

typedef FHMQV_Domain<DL_GroupParameters_EC<EC>, COFACTOR_OPTION, HASH> ECFHMQV< EC, COFACTOR_OPTION, HASH >::Domain

Definition at line 309 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h